<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Add_PushSubscriptions StructType
 * @subpackage Structs
 */
class Add_PushSubscriptions extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The SubscriptionSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SubscriptionSelection
     */
    public $SubscriptionSelection;
    /**
     * Constructor method for Add_PushSubscriptions
     * @uses Add_PushSubscriptions::setLogin()
     * @uses Add_PushSubscriptions::setSubscriptionSelection()
     * @param \StructType\Login $login
     * @param \StructType\SubscriptionSelection $subscriptionSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\SubscriptionSelection $subscriptionSelection = null)
    {
        $this
            ->setLogin($login)
            ->setSubscriptionSelection($subscriptionSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Add_PushSubscriptions
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get SubscriptionSelection value
     * @return \StructType\SubscriptionSelection|null
     */
    public function getSubscriptionSelection()
    {
        return $this->SubscriptionSelection;
    }
    /**
     * Set SubscriptionSelection value
     * @param \StructType\SubscriptionSelection $subscriptionSelection
     * @return \StructType\Add_PushSubscriptions
     */
    public function setSubscriptionSelection(\StructType\SubscriptionSelection $subscriptionSelection = null)
    {
        $this->SubscriptionSelection = $subscriptionSelection;
        return $this;
    }
}
